request-properties resource endpoint
URL: /request-properties.<format>
Supported Methods
| GET | Retrieve some request properties. This can be useful for debugging authentication issues. |
Resource Type
This endpoint returns an object of type RequestProperties.
- apiKey (string)
- The API key that was used for this request, if the request is using OAuth. Ommitted if the request is not using OAuth.
- applicationId (string)
- The urlId of the authenticated application for this request. Ommitted if there is no authenticated application.
- canModifyApplicationContent (boolean)
- True if the caller for this request could modify content connected to the authenticated application, or false otherwise.
- canModifyTypepadContent (boolean)
- True if the caller for this request could modify content that is part of the main TypePad application, or false otherwise.
- clientIsInternal (boolean)
- True if this request came in on a channel that has access to internal-only API features.
- remoteIpAddress (string)
- The IP address of the requesting client, expressed in dotted-decimal notation.
- userId (string)
- The urlId of the authenticated user for this request. Ommitted if there is no authenticated user.
Client Library Methods for PHP
- Retrieve some request properties. This can be useful for debugging authentication issues.
$tp->requestProperties->get(array( ))
Example Request
GET /request-properties.json HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 118
{
"canModifyTypepadContent": true,
"canModifyApplicationContent": false,
"remoteIpAddress": "127.0.0.1"
}